System.ComponentModel.DataAnnotations 4.0.0.0 System.ComponentModel.DataAnnotations.DataTypeAttribute System.AttributeUsage(System.AttributeTargets.Method | System.AttributeTargets.Property | System.AttributeTargets.Field | System.AttributeTargets.Parameter | System.AttributeTargets.All, AllowMultiple=false)

This class lets you map the underlying value in a column to a corresponding enumeration constant name. This lets you define an enumeration that contains descriptive values that correspond to database values, and then use the enumeration constant names instead of the database values when data is displayed.

Enables a .NET Framework enumeration to be mapped to a data column.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  The type of the enumeration.
- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets or sets the enumeration type.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Checks that the value of the data field is valid.

  true if the data field value is valid; otherwise, false.

  The data field value to validate.